Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6RunWarExploded

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo
              org.mortbay.jetty.plugin.AbstractJetty6Mojo
                  org.mortbay.jetty.plugin.Jetty6RunWarExploded

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class Jetty6RunWarExploded

extends AbstractJetty6Mojo

This goal is used to assemble your webapp into an exploded war and automatically deploy it to Jetty.

Once invoked, the plugin can be configured to run continuously, scanning for changes in the pom.xml and to WEB-INF/web.xml, WEB-INF/classes or WEB-INF/lib and hot redeploy when a change is detected.

You may also specify the location of a jetty.xml file whose contents will be applied before any plugin configuration. This can be used, for example, to deploy a static webapp that is not part of your maven build.

There is a reference guide to the configuration parameters for this plugin, and more detailed information with examples in the Configuration Guide.

Field Summary

Fields inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`consoleScanner, contextPath, daemon, jettyConfig, overrideWebXml, PORT_SYSPROPERTY, project, reload, scanIntervalSeconds, scanList, scanner, scannerListeners, server, skip, stopKey, stopPort, systemProperties, systemPropertiesFile, tmpDirectory, webAppConfig, webDefaultXml`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`Jetty6RunWarExploded()`

Method Summary
`void` | `checkPomConfiguration()`
`void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp
`void` | `execute()`
`void` | `finishConfigurationBeforeStart()`
`void` | `restartWebApp(boolean reconfigureScanner)`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJetty6Mojo
`applyJettyXml, createServer, getConfiguredConnectors, getConfiguredRequestLog, getConfiguredUserRealms`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`findJettyWebXmlFile, getContextPath, getJettyXmlFile, getOverrideWebXml, getProject, getScanIntervalSeconds, getScanList, getScanner, getScannerListeners, getServer, getSystemPropertiesFile, getTmpDirectory, getWebDefaultXml, setScanList, setScannerListeners, setServer, setSystemProperties, setSystemPropertiesFile, startConsoleScanner, startJetty`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6RunWarExploded

    public Jetty6RunWarExploded()

Method Detail

### checkPomConfiguration

    public void checkPomConfiguration()
                               throws org.apache.maven.plugin.MojoExecutionException

  Specified by:
    `checkPomConfiguration` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
  See Also:
    `AbstractJettyMojo.checkPomConfiguration()`

### configureScanner

    public void configureScanner()
                          throws org.apache.maven.plugin.MojoExecutionException

  Specified by:
    `configureScanner` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
  See Also:
    `AbstractJettyMojo.configureScanner()`

### restartWebApp

    public void restartWebApp(boolean reconfigureScanner)
                       throws java.lang.Exception

  Specified by:
    `restartWebApp` in class `AbstractJettyMojo`
  Throws:
    `java.lang.Exception`

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()
                                        throws java.lang.Exception

  Specified by:
    `finishConfigurationBeforeStart` in class `AbstractJettyMojo`
  Throws:
    `java.lang.Exception`

### configureWebApplication

    public void configureWebApplication()
                                 throws java.lang.Exception

  Description copied from class: `AbstractJettyMojo`
  Subclasses should invoke this to setup basic info on the webapp

  Overrides:
    `configureWebApplication` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `java.lang.Exception`

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Overrides:
    `execute` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.